(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.1'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     96952,       2454]*)
(*NotebookOutlinePosition[     97581,       2476]*)
(*  CellTagsIndexPosition[     97537,       2472]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(<< MB.m\)], "Input"],

Cell[BoxData[
    \("MB 1.1"\)], "Print"],

Cell[BoxData[
    \("by Michal Czakon"\)], "Print"],

Cell[BoxData[
    \("more info in hep-ph/0511200"\)], "Print"],

Cell[BoxData[
    \("last modified 12 Dec 06"\)], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(<< AMBRE.m\)], "Input"],

Cell[BoxData[
    \("by K.Kajda   ver: 1.0"\)], "Print"],

Cell[BoxData[
    \("last modified 19 Apr 2007"\)], "Print"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]Tadpoles, \ 
      Fig  .8\ \[IndentingNewLine]This\ example\ shows\ how\ modifications\ \
of\ F\ polynomials\ in\ different\ parts\ of\ SubLoop\ gives\ different\ size\
\ of\ final\ representation ... \ \[IndentingNewLine]*) \)], "Input"],

Cell[BoxData[
    \( (*\(\(**\)\(\ \)\(Part1\)\), \ Fig  .8\ ***) \)], "Input"],

Cell[BoxData[{
    \(\(tad2 = 
        Fullintegral[{1}, {PR[k1, m, n1] PR[k2 + k1, m, n2] 
              PR[k2 + k3 + k4, m, n3] PR[k4, 0, n4] PR[k3, 0, n5]}, {k3, k4, 
            k2, k1}];\)\), "\[IndentingNewLine]", 
    \(\(invariants = {};\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k3, 0, n5]\ PR[
            k2 + k3 + k4, m, n3]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k3, 0, n5], 
          PR[ 
            Plus[ k2, k3, k4], m, n3]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k3\),
      SequenceForm[ "momentum=", k3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k3\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k3, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k2 + k4, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k3..."\),
      SequenceForm[ "Representation after integrating over: ", "k3..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop1", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n3 + n5 + z1\)\ \((m\^2)\)\^\(2 - eps \
- n3 - n5 - z1\)\ Gamma[4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[\(-z1\)]\ Gamma[
                    n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1])\)/\((Gamma[
                    n3]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[n5])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2 + k4, m, z1]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k4, 0, n4]\ PR[
            k2 + k4, m, \(-z1\)]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k4, 0, n4], 
          PR[ 
            Plus[ k2, k4], m, 
            Times[ -1, z1]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k4\),
      SequenceForm[ "momentum=", k4],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]2\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k4\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 2, ": >>Integrating over ", k4, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k2, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k3...k4..."\),
      SequenceForm[ "Representation after integrating over: ", "k3...k4..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop2", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n3 + n4 + n5 + z2\)\ \((m\^2)\)\^\(4 \
- 2\ eps - n3 - n4 - n5 - z2\)\ Gamma[4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
                    n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
                    4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[\(-z2\)]\ Gamma[
                    n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + z2])\)/\((Gamma[
                    n3]\ Gamma[n4]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[
                    n5]\ Gamma[4 - 2\ eps - n4 + z1])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2, m, z2]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[3]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k2, m, \(-z2\)]\ PR[
            k1 + k2, m, n2]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k2, m, 
            Times[ -1, z2]], 
          PR[ 
            Plus[ k1, k2], m, n2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k2\),
      SequenceForm[ "momentum=", k2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]\ \(If\ we\ continue\ without\ modifing\ F\ \
polynomial\ we\ will\ obtain\ single\ massive\ propagator\ in\ last\ \
integration\ which\ in\ the\ end\ means\ \((\(-m^2\))\)^
                z\ term\ that\ causes\ oscilatory\ problem\ during\ numerical\
\ computation\ using\ MB . m ... \)\[IndentingNewLine]To\ avoid\ above\ let' 
          s\ change\ F\ polynomial\ a\ bit ... \[IndentingNewLine]*) \)], \
"Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(m\^2\ FX[X[1] + X[2]]\^2 - 
          m\^2\ X[1]\ X[2] - PR[k1, m]\ X[1]\ X[2]\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ 
            Power[ m, 2], 
            Power[ 
              FX[ 
                Plus[ 
                  X[ 1], 
                  X[ 2]]], 2]], 
          Times[ -1, 
            Power[ m, 2], 
            X[ 1], 
            X[ 2]], 
          Times[ -1, 
            PR[ k1, m], 
            X[ 1], 
            X[ 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]We\ note\ that\ m^2\ X[1] 
          X[2]\ deletes\ with\ the\ one\ inside\ PR[k1, 
            m] ... \[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = fupc /. \ PR[k1, m] \[Rule] PR[k1, 0] - m^2 // Expand\)], "Input"],

Cell[BoxData[
    \(m\^2\ FX[X[1] + X[2]]\^2 - PR[k1, 0]\ X[1]\ X[2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]3\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k2\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 3, ": >>Integrating over ", k2, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k3...k4...k2..."\),
      SequenceForm[ 
      "Representation after integrating over: ", "k3...k4...k2..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop3", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(2 - eps + n3 + n4 + n5 + z2 - z3\)\ \
\((m\^2)\)\^\(4 - 2\ eps - n3 - n4 - n5 - z2 + z3\)\ Gamma[
                    4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
                    n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
                    4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[
                    n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + 
                      z2]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + n2 - z2 + 
                      z3]\ Gamma[
                    2 - eps + z2 + z3 - 
                      z4]\ Gamma[\(-z4\)]\ Gamma[\(-2\)\ z3 + z4]\ Gamma[
                    2 - eps - n2 - z3 + z4])\)/\((Gamma[n2]\ Gamma[n3]\ Gamma[
                    n4]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[n5]\ Gamma[
                    4 - 2\ eps - n4 + z1]\ Gamma[
                    4 - 2\ eps - n2 + z2]\ Gamma[\(-2\)\ z3])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k1, 0, 2 - eps - n2 + z2 - z3]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[4]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, 
            0, \(-2\) + eps + n2 - z2 + z3]\ PR[k1, m, n1]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, 0, 
            Plus[ -2, eps, n2, 
              Times[ -1, z2], z3]], 
          PR[ k1, m, n1]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]We\ can\ continue\ with\ last\ SubLoop\ without\ \
any\ trouble ... \[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(repr = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]4\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 4, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 \
- 4\ eps - n1 - n2 - n3 - n4 - n5\)\ Gamma[
                4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
                n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
                4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[
                n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + 
                  z2]\ Gamma[\(-z3\)]\ Gamma[
                2 - eps + z2 + z3 - z4]\ Gamma[\(-z4\)]\ Gamma[\(-2\)\ z3 + 
                  z4]\ Gamma[2 - eps - n2 - z3 + z4]\ Gamma[
                8 - 4\ eps - n1 - 2\ n2 + 2\ z2 - 2\ z3 - 
                  z5]\ Gamma[\(-z5\)]\ Gamma[\(-2\) + eps + n2 - z2 + z3 + 
                  z5]\ Gamma[\(-4\) + 2\ eps + n1 + n2 - z2 + z3 + 
                  z5])\)/\((Gamma[n1]\ Gamma[n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[
                4 - 2\ eps - n3 - n5]\ Gamma[n5]\ Gamma[
                4 - 2\ eps - n4 + z1]\ Gamma[4 - 2\ eps - n2 + z2]\ Gamma[
                6 - 3\ eps - n1 - n2 + z2 - z3]\ Gamma[\(-2\)\ z3])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = BarnesLemma[repr, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z5, z4, z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 1st Lemma will be checked for: ", {z5, z4, z3, z2, z1}, 
        " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]5\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 5, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z5...Barnes Lemma was applied.
2. Checking z4...Barnes Lemma was applied.
3. Checking z3
4. Checking z2
5. Checking z1\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   1st Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z4, z5}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   1st Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z4, z5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]3\),
      SequenceForm[ "   Obtained representation has: dim=", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 - 4\ eps - \
n1 - n2 - n3 - n4 - n5\)\ Gamma[4 - 2\ eps - n3 - 2\ n5 - z1]\ Gamma[
            n5 + z1]\ Gamma[\(-2\) + eps + n3 + n5 + z1]\ Gamma[
            4 - 2\ eps - 2\ n4 + z1 - z2]\ Gamma[
            n4 + z2]\ Gamma[\(-2\) + eps + n4 - z1 + z2]\ Gamma[
            2 - eps - n2 - z3]\ Gamma[2 - eps + z2 - z3]\ Gamma[
            4 - 2\ eps - n2 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + 
              n2 - z2 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 - z2 + 
              z3])\)/\((Gamma[2 - eps]\ Gamma[n1]\ Gamma[n2]\ Gamma[
            n3]\ Gamma[n4]\ Gamma[4 - 2\ eps - n3 - n5]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n4 + z1]\ Gamma[
            4 - 2\ eps - n2 + z2 - 2\ z3])\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(BarnesLemma[%, 2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 2nd Lemma will be checked for: "\
\[InvisibleSpace]{z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 2nd Lemma will be checked for: ", {z3, z2, z1}, " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]3\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 3, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z3
2. Checking z2
3. Checking z1...Barnes Lemma was applied.\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 2nd Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   2nd Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z1}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   2nd Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]2\),
      SequenceForm[ "   Obtained representation has: dim=", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 - 4\ eps - \
n1 - n2 - n3 - n4 - n5\)\ Gamma[2 - eps - n4]\ Gamma[2 - eps - n5]\ Gamma[
            8 - 4\ eps - n3 - 2\ n4 - 2\ n5 - z2]\ Gamma[\(-2\) + eps + n4 + 
              n5 + z2]\ Gamma[\(-4\) + 2\ eps + n3 + n4 + n5 + z2]\ Gamma[
            2 - eps - n2 - z3]\ Gamma[2 - eps + z2 - z3]\ Gamma[
            4 - 2\ eps - n2 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + 
              n2 - z2 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 - z2 + 
              z3])\)/\((Gamma[2 - eps]\ Gamma[n1]\ Gamma[n2]\ Gamma[
            n3]\ Gamma[n4]\ Gamma[4 - 2\ eps - n4 - n5]\ Gamma[
            6 - 3\ eps - n3 - n4 - n5]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n2 + z2 - 2\ z3])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]And\ we\ have\ obtained\ dim = 
        3\ representation\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = % /. {n1 \[Rule] 1, n2 \[Rule] 1, n3 \[Rule] 1, n4 \[Rule] 1, 
          n5 \[Rule] 1}\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
              3 - 4\ eps - z2]\ Gamma[
              eps + z2]\ Gamma[\(-1\) + 2\ eps + z2]\ Gamma[
              1 - eps - z3]\ Gamma[3 - 2\ eps + z2 - z3]\ Gamma[
              2 - eps + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + eps - z2 + 
                z3]\ Gamma[\(-2\) + 2\ eps - z2 + z3])\)/\((Gamma[
              3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
              3 - 2\ eps + z2 - 2\ z3])\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[repr, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{eps \[Rule] 41\/48}, {z2 \[Rule] \(-\(2\/3\)\), 
        z3 \[Rule] \(-\(1\/4\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = MBcontinue[repr, eps \[Rule] 0, rules]\)], "Input"],

Cell[BoxData[
    RowBox[{\(General::"spell1"\), \(\(:\)\(\ \)\), "\<\"Possible spelling \
error: new symbol name \\\"\\!\\(integrals\\)\\\" is similar to existing \
symbol \\\"\\!\\(integral\\)\\\". \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::spell1\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(-eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 2\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Plus[ 1, 
          Times[ -2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - eps + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -1, eps], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 2\ eps + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 2, 
          Times[ -2, eps], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 2\ eps + z2\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -2, eps], z2]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 2\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 2, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(3 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 3, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 2, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3}\),
      SequenceForm[ "Integral ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Plus[ 1, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z3\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z3, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4}\),
      SequenceForm[ "Integral ", {4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5}\),
      SequenceForm[ "Integral ", {5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\) + 2\ eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -2, 
          Times[ 2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + 2\ eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, 
          Times[ 2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    \("...no contribution"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(-eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -1, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-2\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z2, " = ", 
        Times[ -2, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{6}\),
      SequenceForm[ "Integral ", {6}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"-"\[InvisibleSpace]"residue in "\[InvisibleSpace]z2\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-1\) + 2\ eps\)\),
      SequenceForm[ "Taking ", "-", "residue in ", z2, " = ", 
        Plus[ -1, 
          Times[ 2, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]3\),
      SequenceForm[ "Level ", 3],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 1}\),
      SequenceForm[ "Integral ", {1, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 2}\),
      SequenceForm[ "Integral ", {1, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 3}\),
      SequenceForm[ "Integral ", {1, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1, 4}\),
      SequenceForm[ "Integral ", {1, 4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 1}\),
      SequenceForm[ "Integral ", {2, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 2}\),
      SequenceForm[ "Integral ", {2, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 3}\),
      SequenceForm[ "Integral ", {2, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 4}\),
      SequenceForm[ "Integral ", {2, 4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 5}\),
      SequenceForm[ "Integral ", {2, 5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 6}\),
      SequenceForm[ "Integral ", {2, 6}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2, 7}\),
      SequenceForm[ "Integral ", {2, 7}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3, 1}\),
      SequenceForm[ "Integral ", {3, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3, 2}\),
      SequenceForm[ "Integral ", {3, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3, 3}\),
      SequenceForm[ "Integral ", {3, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4, 1}\),
      SequenceForm[ "Integral ", {4, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4, 2}\),
      SequenceForm[ "Integral ", {4, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 1}\),
      SequenceForm[ "Integral ", {5, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 2}\),
      SequenceForm[ "Integral ", {5, 2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 3}\),
      SequenceForm[ "Integral ", {5, 3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5, 4}\),
      SequenceForm[ "Integral ", {5, 4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{6, 1}\),
      SequenceForm[ "Integral ", {6, 1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(28\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 28, " integral(s) found"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{{MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\^2\ Gamma[eps]\ Gamma[\(-1\) + 2\ eps])\)/\((Gamma[
                      2 - 2\ eps]\ Gamma[1 + eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[
                    3 - eps]\ Gamma[\(-2\) + eps]\ Gamma[\(-1\) + eps]\ Gamma[
                    2\ eps]\ Gamma[1 + eps])\)/\((Gamma[2 - 2\ eps]\ Gamma[
                    2 - eps]\ Gamma[3 + eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-1\) + eps]\ Gamma[\(-eps\)]\ Gamma[2\ eps]\ Gamma[
                    1 + eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                    2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    1 + 3\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[\(-1\) - eps]\ Gamma[1 - eps]\^2\ Gamma[\(-1\) + eps]\ Gamma[
                      3\ eps]\ Gamma[2 + eps]\ Gamma[1 + 2\ eps])\)/\((Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      3 + 3\ eps])\)\)\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\ Gamma[3 - 3\ eps - z3]\ Gamma[2 - 2\ eps - z3]\ Gamma[
                    1 - eps - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + 2\ eps + 
                      z3]\ Gamma[\(-2\) + 3\ eps + z3])\)/\((Gamma[
                    2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    3 - 3\ eps - 2\ z3])\)\)\), {{eps \[Rule] 
                0}, {z3 \[Rule] \(-\(1\/4\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                        eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^3\ Gamma[3 - eps]\ Gamma[\(-2\) + eps]\ Gamma[
                    2\ eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                    2 + 2\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[1 - eps]\^3\ Gamma[4 - eps]\ Gamma[\(-3\) + eps]\ Gamma[
                      3\ eps]\ Gamma[1 + 2\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                      4 + 2\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[1 - eps]\^4\ Gamma[
                      eps]\ Gamma[\(-2\) + 3\ eps]\ Gamma[\(-3\) + 
                        4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - eps]\ Gamma[\(-2\) + 4\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^3\ Gamma[\(-eps\)]\ Gamma[
                    1 + eps]\ Gamma[\(-1\) + 3\ eps]\ Gamma[\(-2\) + 
                      4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                    4\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[\(-1\) - eps]\ Gamma[1 - eps]\^3\ Gamma[3\ eps]\ Gamma[
                      2 + eps]\ Gamma[\(-1\) + 4\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                      2 + 4\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[\(-2\) - eps]\ Gamma[1 - eps]\^3\ Gamma[4\ eps]\ Gamma[3 + eps]\ Gamma[
                    1 + 3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                    2 - eps]\ Gamma[4 + 4\ eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^3\ \
Gamma[4 - 4\ eps - z3]\ Gamma[3 - 3\ eps - z3]\ Gamma[
                    1 - eps - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + 3\ eps + 
                      z3]\ Gamma[\(-3\) + 4\ eps + z3])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - eps]\ Gamma[
                    4 - 4\ eps - 2\ z3])\)\)\), {{eps \[Rule] 
                0}, {z3 \[Rule] \(-\(1\/4\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[
                      3 - eps]\ Gamma[\(-2\) + eps]\ Gamma[\(-eps\)]\ Gamma[
                      3\ eps]\ Gamma[1 + 2\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      3 + 2\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\^2\ Gamma[
                      3\ eps]\ Gamma[
                      1 + eps]\ Gamma[\(-1\) + 4\ eps])\)/\((Gamma[
                      3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                      1 + 4\ eps])\)\)\), {{eps \[Rule] 
                  
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[3 - 2\ eps]\ Gamma[\(-1\) - 
                      eps]\ Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\ Gamma[
                    4\ eps]\ Gamma[2 + eps]\ Gamma[1 + 3\ eps])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                    3 + 4\ eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                  3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\ Gamma[
                  3 - 4\ eps - z3]\ Gamma[2 - 3\ eps - z3]\ Gamma[
                  1 - eps - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + 3\ eps + 
                    z3]\ Gamma[\(-2\) + 4\ eps + z3])\)/\((Gamma[
                  3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  3 - 4\ eps - 2\ z3])\), {{eps \[Rule] 
                0}, {z3 \[Rule] \(-\(1\/4\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                      4 - 5\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                        eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^2\ Gamma[\(-1\) + 
                      eps]\ Gamma[\(-eps\)]\ Gamma[
                    2\ eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[
                    1 + 2\ eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\ Gamma[
                    3 - 4\ eps - z2]\ Gamma[\(-1\) + eps - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[
                    eps + z2]\ Gamma[\(-1\) + 2\ eps + z2])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[
                    1 - z2])\)\)\), {{eps \[Rule] 
                0}, {z2 \[Rule] \(-\(2\/3\)\)}}]}, {{MBint[\(-\(\((m\^6\ \((m\
\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                      4 - 5\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                        eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[5 - 6\ eps]\ Gamma[1 - eps]\^4\ Gamma[
                      eps]\ Gamma[\(-2\) + 3\ eps]\ Gamma[\(-3\) + 
                        4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                      2 - 2\ eps]\ Gamma[2 - eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\
\ Gamma[1 - eps]\^3\ Gamma[\(-1\) + eps]\ Gamma[
                      eps]\ Gamma[\(-1\) + 2\ eps]\ Gamma[\(-2\) + 
                        3\ eps])\)/\((Gamma[2 - 2\ eps]\ Gamma[
                      2 - eps]\ Gamma[\(-1\) + 3\ eps])\)\)\), {{eps \[Rule] 
                  0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[3 - 2\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-eps\)]\ Gamma[
                    eps]\ Gamma[\(-1\) + 3\ eps]\ Gamma[\(-2\) + 
                      4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                    2 - 2\ eps]\ Gamma[
                    2 - eps]\ Gamma[\(-1\) + 4\ eps])\), {{eps \[Rule] 
                  0}, {}}]}, 
        MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^3\ \
Gamma[eps]\ Gamma[3 - 4\ eps - z2]\ Gamma[\(-1\) + eps - z2]\ Gamma[\(-2\) + 
                      2\ eps - z2]\ Gamma[
                    eps + z2]\ Gamma[\(-1\) + 2\ eps + z2])\)/\((Gamma[
                    3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[
                    2 - eps]\ Gamma[\(-1\) + 2\ eps - 
                      z2])\)\)\), {{eps \[Rule] 
                0}, {z2 \[Rule] \(-\(2\/3\)\)}}]}, {{MBint[\((m\^6\ \
\((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[
                    4 - 6\ eps]\ Gamma[1 - eps]\^3\ Gamma[\(-eps\)]\ Gamma[
                    1 + eps]\ Gamma[\(-1\) + 3\ eps]\ Gamma[\(-2\) + 
                      4\ eps])\)/\((Gamma[3 - 3\ eps]\ Gamma[
                    2 - 2\ eps]\ Gamma[2 - eps])\), {{eps \[Rule] 0}, {}}]}, 
        MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ Gamma[\
\(-eps\)]\ Gamma[1 + eps]\ Gamma[3 - 4\ eps - z2]\ Gamma[
                  eps - z2]\ Gamma[\(-1\) + 2\ eps - z2]\ Gamma[
                  eps + z2]\ Gamma[\(-1\) + 2\ eps + z2])\)/\((Gamma[
                  3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  1 + 2\ eps - z2])\), {{eps \[Rule] 
                0}, {z2 \[Rule] \(-\(2\/3\)\)}}]}, 
      MBint[\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                  3 - 4\ eps - z2]\ Gamma[
                  eps + z2]\ Gamma[\(-1\) + 2\ eps + z2]\ Gamma[
                  1 - eps - z3]\ Gamma[3 - 2\ eps + z2 - z3]\ Gamma[
                  2 - eps + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-1\) + eps - 
                    z2 + z3]\ Gamma[\(-2\) + 2\ eps - z2 + z3])\)/\((Gamma[
                  3 - 3\ eps]\ Gamma[2 - 2\ eps]\ Gamma[2 - eps]\ Gamma[
                  3 - 2\ eps + z2 - 2\ z3])\)\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\), 
            z3 \[Rule] \(-\(1\/4\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ser = 
      MBexpand[{integrals}, Exp[4*eps\ *EulerGamma], {eps, 0, 0}]\)], "Input"],

Cell[BoxData[
    \({MBint[\(185\ m\^6\)\/2 + 
          m\^6\/\(2\ eps\^4\) + \(3\ m\^6\)\/eps\^3 + \(23\ m\^6\)\/\(2\ \
eps\^2\) + \(104\ m\^6\)\/\(3\ eps\) + \(23\ m\^6\ \[Pi]\^2\)\/6 + \(m\^6\ \
\[Pi]\^2\)\/\(6\ eps\^2\) + \(m\^6\ \[Pi]\^2\)\/eps + \(m\^6\ \[Pi]\^4\)\/30 \
- 416\/3\ m\^6\ Log[
              m\^2] - \(2\ m\^6\ Log[m\^2]\)\/eps\^3 - \(12\ m\^6\ \
Log[m\^2]\)\/eps\^2 - \(46\ m\^6\ Log[m\^2]\)\/eps - 
          4\ m\^6\ \[Pi]\^2\ Log[
              m\^2] - \(2\ m\^6\ \[Pi]\^2\ Log[m\^2]\)\/\(3\ eps\) + 
          92\ m\^6\ Log[m\^2]\^2 + \(4\ m\^6\ Log[m\^2]\^2\)\/eps\^2 + \(24\ \
m\^6\ Log[m\^2]\^2\)\/eps + 4\/3\ m\^6\ \[Pi]\^2\ Log[m\^2]\^2 - 
          32\ m\^6\ Log[m\^2]\^3 - \(16\ m\^6\ Log[m\^2]\^3\)\/\(3\ eps\) + 
          16\/3\ m\^6\ Log[m\^2]\^4 + 
          4\ m\^6\ PolyGamma[2, 
              1] + \(2\ m\^6\ PolyGamma[2, 1]\)\/\(3\ eps\) - 
          8\/3\ m\^6\ Log[m\^2]\ PolyGamma[2, 1] + 
          4\ m\^6\ PolyGamma[2, 
              2] + \(2\ m\^6\ PolyGamma[2, 2]\)\/\(3\ eps\) - 
          8\/3\ m\^6\ Log[m\^2]\ PolyGamma[2, 2], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(99\ m\^6\)\/32\)\) - 
          m\^6\/\(4\ eps\^3\) - \(5\ m\^6\)\/\(8\ eps\^2\) - \(27\ \
m\^6\)\/\(16\ eps\) - \(5\ m\^6\ \[Pi]\^2\)\/24 - \(m\^6\ \[Pi]\^2\)\/\(12\ \
eps\) + 27\/4\ m\^6\ Log[
              m\^2] + \(m\^6\ Log[m\^2]\)\/eps\^2 + \(5\ m\^6\ \
Log[m\^2]\)\/\(2\ eps\) + 1\/3\ m\^6\ \[Pi]\^2\ Log[m\^2] - 
          5\ m\^6\ Log[m\^2]\^2 - \(2\ m\^6\ Log[m\^2]\^2\)\/eps + 
          8\/3\ m\^6\ Log[m\^2]\^3 - 3\/8\ m\^6\ PolyGamma[2, 1] - 
          3\/8\ m\^6\ PolyGamma[2, 2] + 
          1\/12\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(-67\)\ m\^6 - 
          m\^6\/\(6\ eps\^4\) - \(7\ m\^6\)\/\(6\ eps\^3\) - \(16\ \
m\^6\)\/\(3\ eps\^2\) - \(119\ m\^6\)\/\(6\ eps\) - \(16\ m\^6\ \[Pi]\^2\)\/9 \
- \(m\^6\ \[Pi]\^2\)\/\(18\ eps\^2\) - \(7\ m\^6\ \[Pi]\^2\)\/\(18\ eps\) - \
\(m\^6\ \[Pi]\^4\)\/90 + 
          238\/3\ m\^6\ Log[
              m\^2] + \(2\ m\^6\ Log[m\^2]\)\/\(3\ eps\^3\) + \(14\ m\^6\ \
Log[m\^2]\)\/\(3\ eps\^2\) + \(64\ m\^6\ Log[m\^2]\)\/\(3\ eps\) + 
          14\/9\ m\^6\ \[Pi]\^2\ Log[
              m\^2] + \(2\ m\^6\ \[Pi]\^2\ Log[m\^2]\)\/\(9\ eps\) - 
          128\/3\ m\^6\ Log[m\^2]\^2 - \(4\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\^2\
\) - \(28\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) - 
          4\/9\ m\^6\ \[Pi]\^2\ Log[m\^2]\^2 + 
          112\/9\ m\^6\ Log[m\^2]\^3 + \(16\ m\^6\ Log[m\^2]\^3\)\/\(9\ eps\) \
- 16\/9\ m\^6\ Log[m\^2]\^4 - 
          49\/36\ m\^6\ PolyGamma[2, 
              1] - \(7\ m\^6\ PolyGamma[2, 1]\)\/\(36\ eps\) + 
          7\/9\ m\^6\ Log[m\^2]\ PolyGamma[2, 1] - 
          7\/4\ m\^6\ PolyGamma[2, 
              2] - \(m\^6\ PolyGamma[2, 2]\)\/\(4\ eps\) + 
          m\^6\ Log[m\^2]\ PolyGamma[2, 2], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(13\ m\^6\)\/18\)\) + m\^6\/\(6\ eps\^3\) - 
          m\^6\/\(12\ eps\^2\) + \(35\ m\^6\)\/\(24\ eps\) - \(m\^6\ \[Pi]\^2\
\)\/36 + \(m\^6\ \[Pi]\^2\)\/\(18\ eps\) - 
          35\/6\ m\^6\ Log[
              m\^2] - \(2\ m\^6\ Log[m\^2]\)\/\(3\ eps\^2\) + \(m\^6\ \
Log[m\^2]\)\/\(3\ eps\) - 2\/9\ m\^6\ \[Pi]\^2\ Log[m\^2] - 
          2\/3\ m\^6\ Log[m\^2]\^2 + \(4\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) - 
          16\/9\ m\^6\ Log[m\^2]\^3 + 11\/12\ m\^6\ PolyGamma[2, 1] + 
          5\/18\ m\^6\ PolyGamma[2, 2] - 
          3\/4\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(\(1\/Gamma[3 - 2\ z3]\)\((4\ m\^6\ Gamma[1 - z3]\ Gamma[
                2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)])\)\) + \(\(1\/\(eps\ Gamma[
                  3 - 2\ z3]\)\)\((m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)])\)\) + \(\(1\/Gamma[
                3 - 2\ z3]\)\((2\ EulerGamma\ m\^6\ Gamma[1 - z3]\ Gamma[
                2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)])\)\) - \(\(1\/Gamma[
                3 - 2\ z3]\)\((4\ m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ Log[m\^2])\)\) + \(\(1\/Gamma[
                3 - 2\ z3]\)\((3\ m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                3 - 2\ z3])\)\) - \(\(1\/Gamma[3 - 2\ z3]\)\((m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                1 - z3])\)\) - \(\(1\/Gamma[3 - 2\ z3]\)\((2\ m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                2 - z3])\)\) - \(\(1\/Gamma[3 - 2\ z3]\)\((3\ m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                3 - z3])\)\) + \(\(1\/Gamma[3 - 2\ z3]\)\((3\ m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[
                0, \(-2\) + z3])\)\) + \(\(1\/Gamma[
                3 - 2\ z3]\)\((2\ m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[
                0, \(-1\) + z3])\)\), {{eps \[Rule] 
              0}, {z3 \[Rule] \(-\(1\/4\)\)}}], 
      MBint[\(-\(\(343\ m\^6\)\/48\)\) - m\^6\/\(12\ eps\^2\) - 
          m\^6\/eps - \(m\^6\ \[Pi]\^2\)\/36 + 
          4\ m\^6\ Log[m\^2] + \(m\^6\ Log[m\^2]\)\/\(3\ eps\) - 
          2\/3\ m\^6\ Log[m\^2]\^2, {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(3293\ m\^6\)\/288\)\) - 
          m\^6\/\(12\ eps\^3\) - \(13\ m\^6\)\/\(24\ eps\^2\) - \(45\ \
m\^6\)\/\(16\ eps\) - \(13\ m\^6\ \[Pi]\^2\)\/72 - \(m\^6\ \[Pi]\^2\)\/\(36\ \
eps\) + 45\/4\ m\^6\ Log[
              m\^2] + \(m\^6\ Log[m\^2]\)\/\(3\ eps\^2\) + \(13\ m\^6\ \
Log[m\^2]\)\/\(6\ eps\) + 1\/9\ m\^6\ \[Pi]\^2\ Log[m\^2] - 
          13\/3\ m\^6\ Log[m\^2]\^2 - \(2\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) + 
          8\/9\ m\^6\ Log[m\^2]\^3 - 11\/24\ m\^6\ PolyGamma[2, 1] + 
          7\/72\ m\^6\ PolyGamma[2, 2] - 
          13\/36\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(379\ m\^6\)\/1296 + 
          m\^6\/\(36\ eps\^2\) + \(11\ m\^6\)\/\(216\ eps\) + \(m\^6\ \
\[Pi]\^2\)\/108 - 11\/54\ m\^6\ Log[m\^2] - \(m\^6\ Log[m\^2]\)\/\(9\ eps\) + 
          2\/9\ m\^6\ Log[m\^2]\^2, {{eps \[Rule] 0}, {}}], 
      MBint[\(2767\ m\^6\)\/1296 + 
          m\^6\/\(36\ eps\^2\) + \(17\ m\^6\)\/\(54\ eps\) + \(m\^6\ \[Pi]\^2\
\)\/108 - 34\/27\ m\^6\ Log[m\^2] - \(m\^6\ Log[m\^2]\)\/\(9\ eps\) + 
          2\/9\ m\^6\ Log[m\^2]\^2, {{eps \[Rule] 0}, {}}], 
      MBint[\(503\ m\^6\)\/48 + 
          m\^6\/\(12\ eps\^2\) + \(29\ m\^6\)\/\(24\ eps\) + \(m\^6\ \[Pi]\^2\
\)\/36 - 29\/6\ m\^6\ Log[m\^2] - \(m\^6\ Log[m\^2]\)\/\(3\ eps\) + 
          2\/3\ m\^6\ Log[m\^2]\^2, {{eps \[Rule] 0}, {}}], 
      MBint[\(2045\ m\^6\)\/288 + 
          m\^6\/\(24\ eps\^3\) + \(11\ m\^6\)\/\(48\ eps\^2\) + \(149\ m\^6\)\
\/\(96\ eps\) + \(11\ m\^6\ \[Pi]\^2\)\/144 + \(m\^6\ \[Pi]\^2\)\/\(72\ eps\) \
- 149\/24\ m\^6\ Log[
              m\^2] - \(m\^6\ Log[m\^2]\)\/\(6\ eps\^2\) - \(11\ m\^6\ \
Log[m\^2]\)\/\(12\ eps\) - 1\/18\ m\^6\ \[Pi]\^2\ Log[m\^2] + 
          11\/6\ m\^6\ Log[m\^2]\^2 + \(m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) - 
          4\/9\ m\^6\ Log[m\^2]\^3 + 29\/48\ m\^6\ PolyGamma[2, 1] - 
          31\/72\ m\^6\ PolyGamma[2, 2] + 
          3\/16\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(673\ m\^6\)\/1728\)\) - 
          m\^6\/\(48\ eps\^2\) + \(11\ m\^6\)\/\(288\ eps\) - \(m\^6\ \
\[Pi]\^2\)\/144 - 
          11\/72\ m\^6\ Log[m\^2] + \(m\^6\ Log[m\^2]\)\/\(12\ eps\) - 
          1\/6\ m\^6\ Log[m\^2]\^2, {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(1\/\(2\ Gamma[4 - 2\ z3]\)\)\((m\^6\ Gamma[1 - z3]\ Gamma[
                3 - z3]\ Gamma[
                4 - z3]\ Gamma[\(-3\) + z3]\ Gamma[\(-2\) + 
                  z3]\ Gamma[\(-z3\)])\)\)\), {{eps \[Rule] 
              0}, {z3 \[Rule] \(-\(1\/4\)\)}}], 
      MBint[\(35\ m\^6\)\/16 + m\^6\/\(6\ eps\^3\) + 
          m\^6\/\(4\ eps\^2\) + \(37\ m\^6\)\/\(24\ eps\) + \(m\^6\ \
\[Pi]\^2\)\/12 + \(m\^6\ \[Pi]\^2\)\/\(18\ eps\) - 
          37\/6\ m\^6\ Log[
              m\^2] - \(2\ m\^6\ Log[m\^2]\)\/\(3\ eps\^2\) - \(m\^6\ \
Log[m\^2]\)\/eps - 2\/9\ m\^6\ \[Pi]\^2\ Log[m\^2] + 
          2\ m\^6\ Log[m\^2]\^2 + \(4\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) - 
          16\/9\ m\^6\ Log[m\^2]\^3 + 11\/12\ m\^6\ PolyGamma[2, 1] + 
          1\/4\ m\^6\ PolyGamma[2, 2] + 
          5\/18\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(8555\ m\^6\)\/96 + 
          m\^6\/\(12\ eps\^4\) + \(17\ m\^6\)\/\(24\ eps\^3\) + \(199\ m\^6\)\
\/\(48\ eps\^2\) + \(479\ m\^6\)\/\(24\ eps\) + \(199\ m\^6\ \[Pi]\^2\)\/144 \
+ \(m\^6\ \[Pi]\^2\)\/\(36\ eps\^2\) + \(17\ m\^6\ \[Pi]\^2\)\/\(72\ eps\) + \
\(m\^6\ \[Pi]\^4\)\/180 - 
          479\/6\ m\^6\ Log[
              m\^2] - \(m\^6\ Log[m\^2]\)\/\(3\ eps\^3\) - \(17\ m\^6\ \
Log[m\^2]\)\/\(6\ eps\^2\) - \(199\ m\^6\ Log[m\^2]\)\/\(12\ eps\) - 
          17\/18\ m\^6\ \[Pi]\^2\ Log[
              m\^2] - \(m\^6\ \[Pi]\^2\ Log[m\^2]\)\/\(9\ eps\) + 
          199\/6\ m\^6\ Log[m\^2]\^2 + \(2\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\^2\
\) + \(17\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) + 
          2\/9\ m\^6\ \[Pi]\^2\ Log[m\^2]\^2 - 
          68\/9\ m\^6\ Log[m\^2]\^3 - \(8\ m\^6\ Log[m\^2]\^3\)\/\(9\ eps\) + 
          8\/9\ m\^6\ Log[m\^2]\^4 + 
          17\/6\ m\^6\ PolyGamma[2, 
              1] + \(m\^6\ PolyGamma[2, 1]\)\/\(3\ eps\) - 
          4\/3\ m\^6\ Log[m\^2]\ PolyGamma[2, 1] + 
          17\/16\ m\^6\ PolyGamma[2, 
              2] + \(m\^6\ PolyGamma[2, 2]\)\/\(8\ eps\) - 
          1\/2\ m\^6\ Log[m\^2]\ PolyGamma[2, 2] + 
          323\/144\ m\^6\ PolyGamma[2, 
              3] + \(19\ m\^6\ PolyGamma[2, 3]\)\/\(72\ eps\) - 
          19\/18\ m\^6\ Log[m\^2]\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(73\ m\^6\)\/24 - 
          m\^6\/\(8\ eps\^3\) + \(3\ m\^6\)\/\(16\ eps\^2\) - \(67\ \
m\^6\)\/\(32\ eps\) + \(m\^6\ \[Pi]\^2\)\/16 - \(m\^6\ \[Pi]\^2\)\/\(24\ \
eps\) + 67\/8\ m\^6\ Log[
              m\^2] + \(m\^6\ Log[m\^2]\)\/\(2\ eps\^2\) - \(3\ m\^6\ \
Log[m\^2]\)\/\(4\ eps\) + 1\/6\ m\^6\ \[Pi]\^2\ Log[m\^2] + 
          3\/2\ m\^6\ Log[m\^2]\^2 - \(m\^6\ Log[m\^2]\^2\)\/eps + 
          4\/3\ m\^6\ Log[m\^2]\^3 - 29\/16\ m\^6\ PolyGamma[2, 1] - 
          5\/24\ m\^6\ PolyGamma[2, 2] + 
          15\/16\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(1\/\(2\ Gamma[3 - 2\ z3]\)\)\((9\ m\^6\ Gamma[
                  1 - z3]\ Gamma[2 - z3]\ Gamma[
                  3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                    z3]\ Gamma[\(-z3\)])\)\)\) - \(\(1\/\(eps\ Gamma[
                  3 - 2\ z3]\)\)\((m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)])\)\) - \(\(1\/Gamma[
                3 - 2\ z3]\)\((3\ EulerGamma\ m\^6\ Gamma[1 - z3]\ Gamma[
                2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)])\)\) + \(\(1\/Gamma[
                3 - 2\ z3]\)\((4\ m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ Log[m\^2])\)\) - \(\(1\/Gamma[
                3 - 2\ z3]\)\((4\ m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                3 - 2\ z3])\)\) + \(\(1\/Gamma[3 - 2\ z3]\)\((m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                1 - z3])\)\) + \(\(1\/Gamma[3 - 2\ z3]\)\((3\ m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                2 - z3])\)\) + \(\(1\/Gamma[3 - 2\ z3]\)\((4\ m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[0, 
                3 - z3])\)\) - \(\(1\/Gamma[3 - 2\ z3]\)\((4\ m\^6\ Gamma[
                1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[
                0, \(-2\) + z3])\)\) - \(\(1\/Gamma[
                3 - 2\ z3]\)\((3\ m\^6\ Gamma[1 - z3]\ Gamma[2 - z3]\ Gamma[
                3 - z3]\ Gamma[\(-2\) + z3]\ Gamma[\(-1\) + 
                  z3]\ Gamma[\(-z3\)]\ PolyGamma[
                0, \(-1\) + z3])\)\), {{eps \[Rule] 
              0}, {z3 \[Rule] \(-\(1\/4\)\)}}], 
      MBint[\(-\(\(27055\ m\^6\)\/2592\)\) - 
          m\^6\/\(4\ eps\^3\) - \(35\ m\^6\)\/\(24\ eps\^2\) - \(65\ m\^6\)\/\
\(16\ eps\) - \(245\ m\^6\ \[Pi]\^2\)\/72 - \(7\ m\^6\ \[Pi]\^2\)\/\(12\ \
eps\) + 65\/4\ m\^6\ Log[
              m\^2] + \(m\^6\ Log[m\^2]\)\/eps\^2 + \(35\ m\^6\ Log[m\^2]\)\/\
\(6\ eps\) + 7\/3\ m\^6\ \[Pi]\^2\ Log[m\^2] - 
          35\/3\ m\^6\ Log[m\^2]\^2 - \(2\ m\^6\ Log[m\^2]\^2\)\/eps + 
          8\/3\ m\^6\ Log[m\^2]\^3 - 11\/8\ m\^6\ PolyGamma[2, 1] - 
          3\/8\ m\^6\ PolyGamma[2, 2] - 9\/8\ m\^6\ PolyGamma[2, 3] + 
          125\/24\ m\^6\ PolyGamma[2, 4], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(4637\ m\^6\)\/48\)\) - 
          m\^6\/\(6\ eps\^4\) - \(5\ m\^6\)\/\(4\ eps\^3\) - \(51\ \
m\^6\)\/\(8\ eps\^2\) - \(1867\ m\^6\)\/\(72\ eps\) - \(17\ m\^6\ \
\[Pi]\^2\)\/8 - \(m\^6\ \[Pi]\^2\)\/\(18\ eps\^2\) - \(5\ m\^6\ \
\[Pi]\^2\)\/\(12\ eps\) - \(m\^6\ \[Pi]\^4\)\/90 + 
          1867\/18\ m\^6\ Log[
              m\^2] + \(2\ m\^6\ Log[m\^2]\)\/\(3\ eps\^3\) + \(5\ m\^6\ \
Log[m\^2]\)\/eps\^2 + \(51\ m\^6\ Log[m\^2]\)\/\(2\ eps\) + 
          5\/3\ m\^6\ \[Pi]\^2\ Log[
              m\^2] + \(2\ m\^6\ \[Pi]\^2\ Log[m\^2]\)\/\(9\ eps\) - 
          51\ m\^6\ Log[m\^2]\^2 - \(4\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\^2\) - \
\(10\ m\^6\ Log[m\^2]\^2\)\/eps - 4\/9\ m\^6\ \[Pi]\^2\ Log[m\^2]\^2 + 
          40\/3\ m\^6\ Log[m\^2]\^3 + \(16\ m\^6\ Log[m\^2]\^3\)\/\(9\ eps\) \
- 16\/9\ m\^6\ Log[m\^2]\^4 - 
          125\/24\ m\^6\ PolyGamma[2, 
              1] - \(25\ m\^6\ PolyGamma[2, 1]\)\/\(36\ eps\) + 
          25\/9\ m\^6\ Log[m\^2]\ PolyGamma[2, 1] - 
          5\/3\ m\^6\ PolyGamma[2, 
              2] - \(2\ m\^6\ PolyGamma[2, 2]\)\/\(9\ eps\) + 
          8\/9\ m\^6\ Log[m\^2]\ PolyGamma[2, 2] - 
          95\/24\ m\^6\ PolyGamma[2, 
              3] - \(19\ m\^6\ PolyGamma[2, 3]\)\/\(36\ eps\) + 
          19\/9\ m\^6\ Log[m\^2]\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(15\ m\^6\ Gamma[\(-1\) - z2]\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\
\ Gamma[\(-z2\)]\ Gamma[z2]\)\/\(4\ Gamma[1 - z2]\) + \(m\^6\ Gamma[\(-1\) - \
z2]\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[z2]\)\/\(2\ eps\
\ Gamma[1 - z2]\) - \(\(1\/Gamma[
                1 - z2]\)\((2\ m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[z2]\ Log[
                m\^2])\)\) + \(\(1\/\(2\ Gamma[
                  1 - z2]\)\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, \(-1\) - z2])\)\) - \(\(1\/Gamma[
                1 - z2]\)\((2\ m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, 3 - z2])\)\) + \(\(1\/Gamma[
                1 - z2]\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[
                0, \(-1\) + z2])\)\) + \(\(1\/\(2\ Gamma[
                  1 - z2]\)\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, z2])\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\)}}], 
      MBint[\(-\(\(27055\ m\^6\)\/2592\)\) - 
          m\^6\/\(4\ eps\^3\) - \(35\ m\^6\)\/\(24\ eps\^2\) - \(65\ m\^6\)\/\
\(16\ eps\) - \(245\ m\^6\ \[Pi]\^2\)\/72 - \(7\ m\^6\ \[Pi]\^2\)\/\(12\ \
eps\) + 65\/4\ m\^6\ Log[
              m\^2] + \(m\^6\ Log[m\^2]\)\/eps\^2 + \(35\ m\^6\ Log[m\^2]\)\/\
\(6\ eps\) + 7\/3\ m\^6\ \[Pi]\^2\ Log[m\^2] - 
          35\/3\ m\^6\ Log[m\^2]\^2 - \(2\ m\^6\ Log[m\^2]\^2\)\/eps + 
          8\/3\ m\^6\ Log[m\^2]\^3 - 11\/8\ m\^6\ PolyGamma[2, 1] - 
          3\/8\ m\^6\ PolyGamma[2, 2] - 9\/8\ m\^6\ PolyGamma[2, 3] + 
          125\/24\ m\^6\ PolyGamma[2, 4], {{eps \[Rule] 0}, {}}], 
      MBint[\(17573\ m\^6\)\/2592 + 
          m\^6\/\(12\ eps\^3\) + \(41\ m\^6\)\/\(72\ eps\^2\) + \(805\ m\^6\)\
\/\(432\ eps\) + \(533\ m\^6\ \[Pi]\^2\)\/216 + \(13\ m\^6\ \[Pi]\^2\)\/\(36\ \
eps\) - 805\/108\ m\^6\ Log[
              m\^2] - \(m\^6\ Log[m\^2]\)\/\(3\ eps\^2\) - \(41\ m\^6\ \
Log[m\^2]\)\/\(18\ eps\) - 13\/9\ m\^6\ \[Pi]\^2\ Log[m\^2] + 
          41\/9\ m\^6\ Log[m\^2]\^2 + \(2\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) - 
          8\/9\ m\^6\ Log[m\^2]\^3 + 11\/9\ m\^6\ PolyGamma[2, 1] + 
          1\/8\ m\^6\ PolyGamma[2, 2] + 3\/8\ m\^6\ PolyGamma[2, 3] - 
          3\ m\^6\ PolyGamma[2, 5], {{eps \[Rule] 0}, {}}], 
      MBint[\(963\ m\^6\)\/32 + 
          m\^6\/\(4\ eps\^3\) + \(15\ m\^6\)\/\(8\ eps\^2\) + \(137\ m\^6\)\/\
\(16\ eps\) + \(5\ m\^6\ \[Pi]\^2\)\/8 + \(m\^6\ \[Pi]\^2\)\/\(12\ eps\) - 
          137\/4\ m\^6\ Log[
              m\^2] - \(m\^6\ Log[m\^2]\)\/eps\^2 - \(15\ m\^6\ Log[m\^2]\)\/\
\(2\ eps\) - 1\/3\ m\^6\ \[Pi]\^2\ Log[m\^2] + 
          15\ m\^6\ Log[m\^2]\^2 + \(2\ m\^6\ Log[m\^2]\^2\)\/eps - 
          8\/3\ m\^6\ Log[m\^2]\^3 + 7\/24\ m\^6\ PolyGamma[2, 1] + 
          3\/8\ m\^6\ PolyGamma[2, 2], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(1079\ m\^6\)\/24\)\) - 
          m\^6\/\(6\ eps\^3\) - \(19\ m\^6\)\/\(12\ eps\^2\) - \(229\ \
m\^6\)\/\(24\ eps\) - \(19\ m\^6\ \[Pi]\^2\)\/36 - \(m\^6\ \[Pi]\^2\)\/\(18\ \
eps\) + 229\/6\ m\^6\ Log[
              m\^2] + \(2\ m\^6\ Log[m\^2]\)\/\(3\ eps\^2\) + \(19\ m\^6\ \
Log[m\^2]\)\/\(3\ eps\) + 2\/9\ m\^6\ \[Pi]\^2\ Log[m\^2] - 
          38\/3\ m\^6\ Log[m\^2]\^2 - \(4\ m\^6\ Log[m\^2]\^2\)\/\(3\ eps\) + 
          16\/9\ m\^6\ Log[m\^2]\^3 - 2\/3\ m\^6\ PolyGamma[2, 1] - 
          1\/4\ m\^6\ PolyGamma[2, 2] - 
          19\/36\ m\^6\ PolyGamma[2, 3], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(15\/4\)\)\ m\^6\ Gamma[\(-2\) - z2]\ Gamma[
              3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[
              z2] - \(m\^6\ Gamma[\(-2\) - z2]\ Gamma[3 - z2]\ Gamma[\(-1\) + \
z2]\ Gamma[z2]\)\/\(2\ eps\) + 
          2\ m\^6\ Gamma[\(-2\) - z2]\ Gamma[
              3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[z2]\ Log[m\^2] - 
          m\^6\ Gamma[\(-2\) - z2]\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[
              z2]\ PolyGamma[0, \(-2\) - z2] + 
          1\/2\ m\^6\ Gamma[\(-2\) - z2]\ Gamma[
              3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[z2]\ PolyGamma[
              0, \(-1\) - z2] + 
          2\ m\^6\ Gamma[\(-2\) - z2]\ Gamma[
              3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[z2]\ PolyGamma[0, 3 - z2] - 
          m\^6\ Gamma[\(-2\) - z2]\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[
              z2]\ PolyGamma[0, \(-1\) + z2] - 
          1\/2\ m\^6\ Gamma[\(-2\) - z2]\ Gamma[
              3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[z2]\ PolyGamma[0, 
              z2], {{eps \[Rule] 0}, {z2 \[Rule] \(-\(2\/3\)\)}}], 
      MBint[\(605\ m\^6\)\/96 + 
          m\^6\/\(8\ eps\^3\) + \(11\ m\^6\)\/\(16\ eps\^2\) + \(53\ m\^6\)\/\
\(32\ eps\) + \(143\ m\^6\ \[Pi]\^2\)\/48 + \(13\ m\^6\ \[Pi]\^2\)\/\(24\ eps\
\) - 53\/8\ m\^6\ Log[
              m\^2] - \(m\^6\ Log[m\^2]\)\/\(2\ eps\^2\) - \(11\ m\^6\ \
Log[m\^2]\)\/\(4\ eps\) - 13\/6\ m\^6\ \[Pi]\^2\ Log[m\^2] + 
          11\/2\ m\^6\ Log[m\^2]\^2 + \(m\^6\ Log[m\^2]\^2\)\/eps - 
          4\/3\ m\^6\ Log[m\^2]\^3 + 11\/6\ m\^6\ PolyGamma[2, 1] + 
          3\/16\ m\^6\ PolyGamma[2, 2] + 9\/16\ m\^6\ PolyGamma[2, 3] - 
          9\/2\ m\^6\ PolyGamma[2, 4], {{eps \[Rule] 0}, {}}], 
      MBint[\(-\(\(15\ m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                    3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                    z2]\)\/\(4\ Gamma[
                    1 - z2]\)\)\) - \(m\^6\ Gamma[\(-1\) - z2]\ Gamma[3 - z2]\
\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[z2]\)\/\(2\ eps\ Gamma[1 - z2]\) \
+ \(\(1\/Gamma[1 - z2]\)\((2\ m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[z2]\ Log[
                m\^2])\)\) - \(\(1\/Gamma[
                1 - z2]\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, \(-1\) - z2])\)\) + \(\(1\/Gamma[
                1 - z2]\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, 1 - z2])\)\) + \(\(1\/Gamma[
                1 - z2]\)\((2\ m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, 3 - z2])\)\) - \(\(1\/Gamma[
                1 - z2]\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[
                0, \(-1\) + z2])\)\) - \(\(1\/\(2\ Gamma[
                  1 - z2]\)\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[
                0, \(-z2\)])\)\) - \(\(1\/\(2\ Gamma[
                  1 - z2]\)\)\((m\^6\ Gamma[\(-1\) - z2]\ Gamma[
                3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[\(-z2\)]\ Gamma[
                z2]\ PolyGamma[0, z2])\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\)}}], 
      MBint[\(-\(\((m\^6\ Gamma[3 - z2]\ Gamma[\(-1\) + z2]\ Gamma[z2]\ Gamma[
                  1 - z3]\ Gamma[2 + z2 - z3]\ Gamma[
                  3 + z2 - z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) - z2 + 
                    z3]\ Gamma[\(-1\) - z2 + z3])\)/\((2\ Gamma[
                  3 + z2 - 2\ z3])\)\)\), {{eps \[Rule] 
              0}, {z2 \[Rule] \(-\(2\/3\)\), 
            z3 \[Rule] \(-\(1\/4\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MBintegrate[ser, {m \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["\<\
Performing 11 1-dimensional \
integrations...1...2...3...4...5...6...7...8...9...10...11\
\>", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Preparing "\[InvisibleSpace]"MBpart1eps0"\
\[InvisibleSpace]" (dim "\[InvisibleSpace]2\[InvisibleSpace]")"\),
      SequenceForm[ "Preparing ", "MBpart1eps0", " (dim ", 2, ")"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Running "\[InvisibleSpace]"MBpart1eps0"\),
      SequenceForm[ "Running ", "MBpart1eps0"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({\(\(22.955622582997925`\)\(\[InvisibleSpace]\)\) + 0.25`\/eps\^4 + 
        1\/eps\^3 + 2.843300366757447`\/eps\^2 + 
        5.781543610434557`\/eps, {0.0001595595923585789`, 0}}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ OK\ with\ hep - ph/0606232\ *) \)], "Input"],

Cell[BoxData[
    \( (*\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(\
**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(**\)\(\
**\)\(**\)\(**\)\(**\)\(**\)\(\[IndentingNewLine]\)\(**\)\(**\)\(**\)****************************************************) \
\)], "Input"],

Cell[BoxData[
    \( (*\(\(**\)\(\ \)\(Part2\)\), \ Fig . \ 8\ ***) \)], "Input"],

Cell[BoxData[{
    \(\(tad2 = 
        Fullintegral[{1}, {PR[k1, m, n1] PR[k2 + k1, m, n2] 
              PR[k2 + k3 + k4, m, n3] PR[k4, 0, n4] PR[k3, 0, n5]}, {k1, k2, 
            k3, k4}];\)\), "\[IndentingNewLine]", 
    \(\(invariants = {};\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k1, m, n1]\ PR[
            k1 + k2, m, n2]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k1, m, n1], 
          PR[ 
            Plus[ k1, k2], m, n2]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k1\),
      SequenceForm[ "momentum=", k1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]Unlike\ to\ the\ above\ part, \ 
      let' s\ modify\ F\ polynomial\ here ... \[IndentingNewLine]*) \)], \
"Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(m\^2\ FX[X[1] + X[2]]\^2 - 
          PR[k2, 0]\ X[1]\ X[2]\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ 
            Power[ m, 2], 
            Power[ 
              FX[ 
                Plus[ 
                  X[ 1], 
                  X[ 2]]], 2]], 
          Times[ -1, 
            PR[ k2, 0], 
            X[ 1], 
            X[ 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = 
      fupc /. \ PR[k2 + k4, m] \[Rule] PR[k2 + k4, 0] - m^2 // 
        Expand\)], "Input"],

Cell[BoxData[
    \(m\^2\ FX[X[1] + X[2]]\^2 - PR[k2, 0]\ X[1]\ X[2]\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]1\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k1\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 1, ": >>Integrating over ", k1, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k1..."\),
      SequenceForm[ "Representation after integrating over: ", "k1..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop1", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(2 - eps - z1\)\ \((m\^2)\)\^z1\ \
Gamma[\(-z1\)]\ Gamma[\(-2\) + eps + n1 + n2 + z1]\ Gamma[
                    2 - eps - n1 + z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + z2]\ Gamma[
                    2 - eps - n2 - z1 + z2])\)/\((Gamma[n1]\ Gamma[
                    4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[\(-2\)\ z1])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k2, 0, 2 - eps - n1 - n2 - z1]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[2]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k2, 
            0, \(-2\) + eps + n1 + n2 + z1]\ PR[k2 + k3 + k4, m, n3]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k2, 0, 
            Plus[ -2, eps, n1, n2, z1]], 
          PR[ 
            Plus[ k2, k3, k4], m, n3]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k2\),
      SequenceForm[ "momentum=", k2],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]2\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k2\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 2, ": >>Integrating over ", k2, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(\(-PR[k3 + k4, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k1...k2..."\),
      SequenceForm[ "Representation after integrating over: ", "k1...k2..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop2", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + z3\)\ \((m\^2)\)\^\(4 \
- 2\ eps - n1 - n2 - n3 - z3\)\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n1 + z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + z2]\ Gamma[
                    2 - eps - n2 - z1 + z2]\ Gamma[
                    8 - 4\ eps - 2\ n1 - 2\ n2 - n3 - 2\ z1 - 
                      z3]\ Gamma[\(-z3\)]\ Gamma[\(-2\) + eps + n1 + n2 + 
                      z1 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 + n3 + z1 + 
                      z3])\)/\((Gamma[n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[
                    n2]\ Gamma[n3]\ Gamma[
                    6 - 3\ eps - n1 - n2 - n3 - z1]\ Gamma[\(-2\)\ z1])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k3 + k4, m, z3]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[3]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k3, 0, n5]\ PR[
            k3 + k4, m, \(-z3\)]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k3, 0, n5], 
          PR[ 
            Plus[ k3, k4], m, 
            Times[ -1, z3]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k3\),
      SequenceForm[ "momentum=", k3],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fauto[0]\)], "Input"],

Cell[BoxData[
    \(Fmanual::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in MANUAL mode. Now you can \
modify F polynomial (fupc)."\)], "Message"],

Cell[BoxData[
    \("fupc=FUpolyfun[integral,momentum,invariants]"\)], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("fupc="\[InvisibleSpace]\(m\^2\ X[1]\ X[2] - 
          PR[k4, 0]\ X[1]\ X[2] + m\^2\ X[2]\^2\)\),
      SequenceForm[ "fupc=", 
        Plus[ 
          Times[ 
            Power[ m, 2], 
            X[ 1], 
            X[ 2]], 
          Times[ -1, 
            PR[ k4, 0], 
            X[ 1], 
            X[ 2]], 
          Times[ 
            Power[ m, 2], 
            Power[ 
              X[ 2], 2]]]],
      Editable->False]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(fupc = fupc /. PR[k4, 0] \[Rule] PR[k4, m] + m^2 // Expand\)], "Input"],

Cell[BoxData[
    \(\(-PR[k4, m]\)\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(SubLoop[integral]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]3\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k3\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 3, ": >>Integrating over ", k3, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("U & F polynomial was computed by user >>Fauto["\
\[InvisibleSpace]0\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "U & F polynomial was computed by user >>Fauto[", 0, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Representation after integrating over: "\
\[InvisibleSpace]"k1...k2...k3..."\),
      SequenceForm[ 
      "Representation after integrating over: ", "k1...k2...k3..."],
      Editable->False]], "Print"],

Cell[BoxData[
    RowBox[{"SubLoop3", "[", 
      RowBox[{
        TagBox[
          
          StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n5 + z4\)\ \
\((m\^2)\)\^\(6 - 3\ eps - n1 - n2 - n3 - n5 - z4\)\ Gamma[\(-z1\)]\ Gamma[
                    2 - eps - n1 + z1 - 
                      z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + z2]\ Gamma[
                    2 - eps - n2 - z1 + z2]\ Gamma[
                    8 - 4\ eps - 2\ n1 - 2\ n2 - n3 - 2\ z1 - 
                      z3]\ Gamma[\(-2\) + eps + n1 + n2 + z1 + 
                      z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 + n3 + z1 + 
                      z3]\ Gamma[
                    4 - 2\ eps - 2\ n5 + z3 - z4]\ Gamma[\(-z4\)]\ Gamma[
                    n5 + z4]\ Gamma[\(-2\) + eps + n5 - z3 + z4])\)/\((Gamma[
                    n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[
                    n3]\ Gamma[n5]\ Gamma[
                    6 - 3\ eps - n1 - n2 - n3 - z1]\ Gamma[\(-2\)\ z1]\ Gamma[
                    4 - 2\ eps - n5 + z3])\)\),
            FontColor->RGBColor[0, 0, 1]],
          (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)], ",", 
        TagBox[
          StyleBox[\(PR[k4, m, z4]\),
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)]}], 
      "]"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IntPart[4]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("numerator="\[InvisibleSpace]1\),
      SequenceForm[ "numerator=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("integral="\[InvisibleSpace]\(PR[k4, 0, n4]\ PR[k4, 
            m, \(-z4\)]\)\),
      SequenceForm[ "integral=", 
        Times[ 
          PR[ k4, 0, n4], 
          PR[ k4, m, 
            Times[ -1, z4]]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("momentum="\[InvisibleSpace]k4\),
      SequenceForm[ "momentum=", k4],
      Editable->False]], "Print"],

Cell[BoxData[
    \(Fauto::"mode" \(\(:\)\(\ \)\) 
      "U and F polynomials will be calculated in AUTO mode. In order to use \
MANUAL mode execute Fauto[0]."\)], "Message"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]We\ notice\ here\ that\ we\ have\ obtained\ \
single\ propagator, \ \(a\ one\ loop\ tadpole ... \[IndentingNewLine]
      We\ use\ well\ known\ formula\ Eq  .60\ and\ \(\(get\)\(:\)\)\)\
\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(repr = SubLoop[integral];\)\)], "Input"],

Cell[BoxData[
    InterpretationBox[\("Iteration nr"\[InvisibleSpace]4\[InvisibleSpace]": \
>>Integrating over "\[InvisibleSpace]k4\[InvisibleSpace]"<<"\),
      SequenceForm[ "Iteration nr", 4, ": >>Integrating over ", k4, "<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Computing U & F polynomial in AUTO mode >>Fauto["\
\[InvisibleSpace]1\[InvisibleSpace]"]<<"\),
      SequenceForm[ 
      "Computing U & F polynomial in AUTO mode >>Fauto[", 1, "]<<"],
      Editable->False]], "Print"],

Cell[BoxData[
    \("U polynomial..."\)], "Print"],

Cell[BoxData[
    \(X[1] + X[2]\)], "Print"],

Cell[BoxData[
    \("F polynomial..."\)], "Print"],

Cell[BoxData[
    \(m\^2\ X[1]\ X[2] + m\^2\ X[2]\^2\)], "Print"],

Cell[BoxData[
    \("Final representation:"\)], "Print"],

Cell[BoxData[
    TagBox[
      StyleBox[\(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 \
- 4\ eps - n1 - n2 - n3 - n4 - n5\)\ Gamma[\(-z1\)]\ Gamma[
                2 - eps - n1 + z1 - z2]\ Gamma[\(-z2\)]\ Gamma[\(-2\)\ z1 + 
                  z2]\ Gamma[2 - eps - n2 - z1 + z2]\ Gamma[
                8 - 4\ eps - 2\ n1 - 2\ n2 - n3 - 2\ z1 - z3]\ Gamma[\(-2\) + 
                  eps + n1 + n2 + z1 + z3]\ Gamma[\(-4\) + 2\ eps + n1 + n2 + 
                  n3 + z1 + z3]\ Gamma[4 - 2\ eps - 2\ n5 + z3 - z4]\ Gamma[
                n5 + z4]\ Gamma[\(-2\) + eps + n5 - z3 + z4]\ Gamma[
                4 - 2\ eps - 2\ n4 + z4 - z5]\ Gamma[\(-z5\)]\ Gamma[
                n4 + z5]\ Gamma[\(-2\) + eps + n4 - z4 + z5])\)/\((Gamma[
                n1]\ Gamma[4 - 2\ eps - n1 - n2]\ Gamma[n2]\ Gamma[n3]\ Gamma[
                n4]\ Gamma[n5]\ Gamma[
                6 - 3\ eps - n1 - n2 - n3 - z1]\ Gamma[\(-2\)\ z1]\ Gamma[
                4 - 2\ eps - n5 + z3]\ Gamma[4 - 2\ eps - n4 + z4])\)\),
        FontColor->RGBColor[0, 0, 1]],
      (StyleForm[ #, FontColor -> RGBColor[ 0, 0, 1]]&)]], "Print"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = BarnesLemma[repr, 1]\)], "Input"],

Cell[BoxData[
    InterpretationBox[\(">> Barnes 1st Lemma will be checked for: "\
\[InvisibleSpace]{z5, z4, z3, z2, z1}\[InvisibleSpace]" <<"\),
      SequenceForm[ 
      ">> Barnes 1st Lemma will be checked for: ", {z5, z4, z3, z2, z1}, 
        " <<"],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Starting with dim="\[InvisibleSpace]5\
\[InvisibleSpace]" representation..."\),
      SequenceForm[ "   Starting with dim=", 5, " representation..."],
      Editable->False]], "Print"],

Cell["\<\

1. Checking z5...Barnes Lemma was applied.
2. Checking z4...Barnes Lemma was applied.
3. Checking z3...Barnes Lemma was applied.
4. Checking z2...Barnes Lemma was applied.
5. Checking z1\
\>", "Print"],

Cell[BoxData[
    \(">> Representation after 1st Barnes Lemma:  <<"\)], "Print"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{
        TagBox[
          StyleBox["\<\"   1st Barnes Lemma was applied for: \"\>",
            FontColor->RGBColor[1, 0, 0]],
          (StyleForm[ #, FontColor -> RGBColor[ 1, 0, 0]]&)], 
        "\[InvisibleSpace]", \({z2, z3, z4, z5}\)}],
      SequenceForm[ 
        StyleForm[ 
        "   1st Barnes Lemma was applied for: ", FontColor -> RGBColor[ 
          1, 0, 0]], {z2, z3, z4, z5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("   Obtained representation has: dim="\
\[InvisibleSpace]1\),
      SequenceForm[ "   Obtained representation has: dim=", 1],
      Editable->False]], "Print"],

Cell[BoxData[
    \(\((\((\(-1\))\)\^\(n1 + n2 + n3 + n4 + n5\)\ \((m\^2)\)\^\(8 - 4\ eps - \
n1 - n2 - n3 - n4 - n5\)\ Gamma[2 - eps - n4]\ Gamma[2 - eps - n5]\ Gamma[
            2 - eps - n1 - z1]\ Gamma[2 - eps - n2 - z1]\ Gamma[
            4 - 2\ eps - n1 - n2 - z1]\ Gamma[\(-z1\)]\ Gamma[\(-6\) + 
              3\ eps + n1 + n2 + n4 + n5 + z1]\ Gamma[\(-8\) + 4\ eps + n1 + 
              n2 + n3 + n4 + n5 + z1])\)/\((Gamma[2 - eps]\ Gamma[n1]\ Gamma[
            n2]\ Gamma[n3]\ Gamma[n4]\ Gamma[n5]\ Gamma[
            4 - 2\ eps - n1 - n2 - 2\ z1])\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\[IndentingNewLine]And\ now\ our\ representation\ is\ dim = 
        1\[IndentingNewLine]*) \)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(repr = % /. {n1 \[Rule] 1, n2 \[Rule] 1, n3 \[Rule] 1, n4 \[Rule] 1, 
          n5 \[Rule] 1}\)], "Input"],

Cell[BoxData[
    \(\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
              2 - 2\ eps - 
                z1]\ Gamma[1 - eps - z1]\^2\ Gamma[\(-z1\)]\ Gamma[\(-2\) + 
                3\ eps + z1]\ Gamma[\(-3\) + 4\ eps + z1])\)/\((Gamma[
              2 - eps]\ Gamma[2 - 2\ eps - 2\ z1])\)\)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rules = MBoptimizedRules[repr, eps \[Rule] 0, {}, {eps}]\)], "Input"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    \(MBrules::"norules" \(\(:\)\(\ \)\) 
      "no rules could be found to regulate this integral"\)], "Message"],

Cell[BoxData[
    RowBox[{\(General::"stop"\), \(\(:\)\(\ \)\), "\<\"Further output of \
\\!\\(MBrules :: \\\"norules\\\"\\) will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"More\[Ellipsis]\\\", \
ButtonStyle->\\\"RefGuideLinkText\\\", ButtonFrame->None, \
ButtonData:>\\\"General::stop\\\"]\\)\"\>"}]], "Message"],

Cell[BoxData[
    \({{eps \[Rule] 15\/16}, {z1 \[Rule] \(-\(1\/2\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(integrals = MBcontinue[repr, eps \[Rule] 0, rules]\)], "Input"],

Cell[BoxData[
    \("Level 1"\)], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 2, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 3\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 1, 
          Times[ -3, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-3\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Times[ -3, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(3 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 3, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(2 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 2, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(1 - 4\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Plus[ 1, 
          Times[ -4, eps]]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Taking \
"\[InvisibleSpace]"+"\[InvisibleSpace]"residue in "\[InvisibleSpace]z1\
\[InvisibleSpace]" = "\[InvisibleSpace]\(\(-4\)\ eps\)\),
      SequenceForm[ "Taking ", "+", "residue in ", z1, " = ", 
        Times[ -4, eps]],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Level "\[InvisibleSpace]2\),
      SequenceForm[ "Level ", 2],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{1}\),
      SequenceForm[ "Integral ", {1}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{2}\),
      SequenceForm[ "Integral ", {2}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{3}\),
      SequenceForm[ "Integral ", {3}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{4}\),
      SequenceForm[ "Integral ", {4}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{5}\),
      SequenceForm[ "Integral ", {5}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{6}\),
      SequenceForm[ "Integral ", {6}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\("Integral "\[InvisibleSpace]{7}\),
      SequenceForm[ "Integral ", {7}],
      Editable->False]], "Print"],

Cell[BoxData[
    InterpretationBox[\(8\[InvisibleSpace]" integral(s) found"\),
      SequenceForm[ 8, " integral(s) found"],
      Editable->False]], "Print"],

Cell[BoxData[
    \({{MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ Gamma[1 - eps]\^2\ \
Gamma[\(-1\) + eps]\ Gamma[
                    eps]\ Gamma[\(-1\) + 2\ eps]\^2\ Gamma[\(-2\) + 
                      3\ eps])\)/\((Gamma[
                    2 - eps]\ Gamma[\(-2\) + 4\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-2\) + eps]\ Gamma[2\ eps]\^2\ Gamma[
                  1 + eps]\ Gamma[\(-1\) + 3\ eps])\)/\((Gamma[
                  2 - eps]\ Gamma[4\ eps])\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-3\) + eps]\ Gamma[3\ eps]\ Gamma[
                    2 + eps]\ Gamma[1 + 2\ eps]\^2)\)/\((2\ Gamma[
                    2 - eps]\ Gamma[2 + 4\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^3\ Gamma[\(-1\) + 
                      2\ eps]\ Gamma[\(-2\) + 3\ eps]\^2\ Gamma[\(-3\) + 
                      4\ eps])\)/\((Gamma[
                    2 - eps]\ Gamma[\(-4\) + 6\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[1 - eps]\^2\ Gamma[\(-eps\)]\ Gamma[
                  2\ eps]\ Gamma[\(-1\) + 3\ eps]\^2\ Gamma[\(-2\) + 
                    4\ eps])\)/\((Gamma[
                  2 - eps]\ Gamma[\(-2\) + 6\ eps])\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\(-\(\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[\(-1\) - eps]\ Gamma[1 - eps]\^2\ Gamma[3\ eps]\^2\ Gamma[
                    1 + 2\ eps]\ Gamma[\(-1\) + 4\ eps])\)/\((2\ Gamma[
                    2 - eps]\ Gamma[6\ eps])\)\)\), {{eps \[Rule] 
                0}, {}}]}, {MBint[\((m\^6\ \((m\^2)\)\^\(\(-4\)\ eps\)\ \
Gamma[\(-2\) - eps]\ Gamma[1 - eps]\^2\ Gamma[4\ eps]\ Gamma[
                  2 + 2\ eps]\ Gamma[1 + 3\ eps]\^2)\)/\((6\ Gamma[
                  2 - eps]\ Gamma[2 + 6\ eps])\), {{eps \[Rule] 0}, {}}]}, 
      MBint[\(-\(\((\((m\^2)\)\^\(3 - 4\ eps\)\ Gamma[1 - eps]\^2\ Gamma[
                  2 - 2\ eps - 
                    z1]\ Gamma[1 - eps - z1]\^2\ Gamma[\(-z1\)]\ Gamma[\(-2\) \
+ 3\ eps + z1]\ Gamma[\(-3\) + 4\ eps + z1])\)/\((Gamma[2 - eps]\ Gamma[
                  2 - 2\ eps - 2\ z1])\)\)\), {{eps \[Rule] 
              0}, {z1 \[Rule] \(-\(1\/2\)\)}}]}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(\(ser = 
        MBexpand[{integrals}, 
          Exp[4*eps\ *EulerGamma], {eps, 0, 4}];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MBintegrate[ser, {m \[Rule] 1}]\)], "Input"],

Cell[BoxData[
    \("Shifting contours..."\)], "Print"],

Cell["Performing 5 1-dimensional integrations...1...2...3...4...5", "Print"],

Cell[BoxData[
    \("Higher-dimensional integrals"\)], "Print"],

Cell[BoxData[
    \({\(\(22.955621881705927`\)\(\[InvisibleSpace]\)\) + 0.25`\/eps\^4 + 
        1\/eps\^3 + 2.843300366757447`\/eps\^2 + 5.781543610421034`\/eps + 
        80.89550616785348`\ eps + 1085.2836587072804`\ eps\^2 + 
        4545.303884134434`\ eps\^3 + 35998.99383263258`\ eps\^4, 
      0}\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \( (*\ agrees\ with\ \ [16, 17]\ *) \)], "Input"]
},
FrontEndVersion->"5.1 for X",
ScreenRectangle->{{0, 1024}, {0, 768}},
WindowSize->{627, 689},
WindowMargins->{{Automatic, 66}, {Automatic, 25}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 40, 1, 27, "Input"],
Cell[1819, 56, 41, 1, 23, "Print"],
Cell[1863, 59, 51, 1, 23, "Print"],
Cell[1917, 62, 62, 1, 23, "Print"],
Cell[1982, 65, 58, 1, 23, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2077, 71, 43, 1, 27, "Input"],
Cell[2123, 74, 56, 1, 23, "Print"],
Cell[2182, 77, 60, 1, 23, "Print"]
}, Open  ]],
Cell[2257, 81, 281, 4, 107, "Input"],
Cell[2541, 87, 79, 1, 27, "Input"],
Cell[2623, 90, 261, 5, 75, "Input"],

Cell[CellGroupData[{
Cell[2909, 99, 43, 1, 27, "Input"],
Cell[2955, 102, 143, 3, 23, "Print"],
Cell[3101, 107, 291, 8, 23, "Print"],
Cell[3395, 117, 143, 3, 23, "Print"],
Cell[3541, 122, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3752, 130, 50, 1, 27, "Input"],
Cell[3805, 133, 264, 4, 23, "Print"],
Cell[4072, 139, 257, 5, 23, "Print"],
Cell[4332, 146, 50, 1, 23, "Print"],
Cell[4385, 149, 44, 1, 23, "Print"],
Cell[4432, 152, 50, 1, 23, "Print"],
Cell[4485, 155, 80, 1, 25, "Print"],
Cell[4568, 158, 215, 4, 23, "Print"],
Cell[4786, 164, 693, 15, 92, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5516, 184, 43, 1, 27, "Input"],
Cell[5562, 187, 143, 3, 23, "Print"],
Cell[5708, 192, 312, 9, 23, "Print"],
Cell[6023, 203, 143, 3, 23, "Print"],
Cell[6169, 208, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6380, 216, 50, 1, 27, "Input"],
Cell[6433, 219, 264, 4, 23, "Print"],
Cell[6700, 225, 257, 5, 23, "Print"],
Cell[6960, 232, 50, 1, 23, "Print"],
Cell[7013, 235, 44, 1, 23, "Print"],
Cell[7060, 238, 50, 1, 23, "Print"],
Cell[7113, 241, 75, 1, 25, "Print"],
Cell[7191, 244, 225, 4, 23, "Print"],
Cell[7419, 250, 893, 18, 106, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8349, 273, 43, 1, 27, "Input"],
Cell[8395, 276, 143, 3, 23, "Print"],
Cell[8541, 281, 312, 9, 23, "Print"],
Cell[8856, 292, 143, 3, 23, "Print"],
Cell[9002, 297, 174, 3, 33, "Message"]
}, Open  ]],
Cell[9191, 303, 457, 7, 123, "Input"],

Cell[CellGroupData[{
Cell[9673, 314, 41, 1, 27, "Input"],
Cell[9717, 317, 172, 3, 33, "Message"],
Cell[9892, 322, 79, 1, 23, "Print"],
Cell[9974, 325, 50, 1, 23, "Print"],
Cell[10027, 328, 44, 1, 23, "Print"],
Cell[10074, 331, 50, 1, 23, "Print"],
Cell[10127, 334, 571, 20, 25, "Print"]
}, Open  ]],
Cell[10713, 357, 180, 3, 59, "Input"],

Cell[CellGroupData[{
Cell[10918, 364, 93, 1, 27, "Input"],
Cell[11014, 367, 82, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11133, 373, 50, 1, 27, "Input"],
Cell[11186, 376, 264, 4, 23, "Print"],
Cell[11453, 382, 253, 5, 23, "Print"],
Cell[11709, 389, 242, 5, 23, "Print"],
Cell[11954, 396, 1283, 25, 174, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13274, 426, 43, 1, 27, "Input"],
Cell[13320, 429, 143, 3, 23, "Print"],
Cell[13466, 434, 342, 9, 23, "Print"],
Cell[13811, 445, 143, 3, 23, "Print"],
Cell[13957, 450, 174, 3, 33, "Message"]
}, Open  ]],
Cell[14146, 456, 145, 2, 59, "Input"],

Cell[CellGroupData[{
Cell[14316, 462, 62, 1, 27, "Input"],
Cell[14381, 465, 264, 4, 23, "Print"],
Cell[14648, 471, 257, 5, 23, "Print"],
Cell[14908, 478, 50, 1, 23, "Print"],
Cell[14961, 481, 44, 1, 23, "Print"],
Cell[15008, 484, 50, 1, 23, "Print"],
Cell[15061, 487, 65, 1, 25, "Print"],
Cell[15129, 490, 56, 1, 23, "Print"],
Cell[15188, 493, 1162, 19, 178, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16387, 517, 60, 1, 27, "Input"],
Cell[16450, 520, 290, 6, 23, "Print"],
Cell[16743, 528, 226, 4, 23, "Print"],
Cell[16972, 534, 156, 7, 98, "Print"],
Cell[17131, 543, 80, 1, 23, "Print"],
Cell[17214, 546, 466, 12, 23, "Print"],
Cell[17683, 560, 197, 4, 23, "Print"],
Cell[17883, 566, 800, 12, 150, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18720, 583, 50, 1, 27, "Input"],
Cell[18773, 586, 265, 5, 23, "Print"],
Cell[19041, 593, 226, 4, 23, "Print"],
Cell[19270, 599, 98, 5, 68, "Print"],
Cell[19371, 606, 80, 1, 23, "Print"],
Cell[19454, 609, 458, 12, 23, "Print"],
Cell[19915, 623, 197, 4, 23, "Print"],
Cell[20115, 629, 783, 11, 150, "Output"]
}, Open  ]],
Cell[20913, 643, 134, 2, 59, "Input"],

Cell[CellGroupData[{
Cell[21072, 649, 126, 2, 27, "Input"],
Cell[21201, 653, 519, 8, 102, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21757, 666, 89, 1, 27, "Input"],
Cell[21849, 669, 128, 2, 20, "Message"],
Cell[21980, 673, 128, 2, 20, "Message"],
Cell[22111, 677, 128, 2, 20, "Message"],
Cell[22242, 681, 334, 5, 33, "Message"],
Cell[22579, 688, 119, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22735, 695, 83, 1, 27, "Input"],
Cell[22821, 698, 365, 5, 33, "Message"],
Cell[23189, 705, 42, 1, 23, "Print"],
Cell[23234, 708, 293, 6, 23, "Print"],
Cell[23530, 716, 320, 7, 23, "Print"],
Cell[23853, 725, 300, 6, 23, "Print"],
Cell[24156, 733, 326, 7, 23, "Print"],
Cell[24485, 742, 329, 7, 23, "Print"],
Cell[24817, 751, 329, 7, 23, "Print"],
Cell[25149, 760, 135, 3, 23, "Print"],
Cell[25287, 765, 145, 3, 23, "Print"],
Cell[25435, 770, 320, 7, 23, "Print"],
Cell[25758, 779, 300, 6, 23, "Print"],
Cell[26061, 787, 320, 7, 23, "Print"],
Cell[26384, 796, 300, 6, 23, "Print"],
Cell[26687, 804, 145, 3, 23, "Print"],
Cell[26835, 809, 320, 7, 23, "Print"],
Cell[27158, 818, 320, 7, 23, "Print"],
Cell[27481, 827, 300, 6, 23, "Print"],
Cell[27784, 835, 320, 7, 23, "Print"],
Cell[28107, 844, 320, 7, 23, "Print"],
Cell[28430, 853, 320, 7, 23, "Print"],
Cell[28753, 862, 300, 6, 23, "Print"],
Cell[29056, 870, 145, 3, 23, "Print"],
Cell[29204, 875, 300, 6, 23, "Print"],
Cell[29507, 883, 320, 7, 23, "Print"],
Cell[29830, 892, 300, 6, 23, "Print"],
Cell[30133, 900, 145, 3, 23, "Print"],
Cell[30281, 905, 300, 6, 23, "Print"],
Cell[30584, 913, 300, 6, 23, "Print"],
Cell[30887, 921, 145, 3, 23, "Print"],
Cell[31035, 926, 300, 6, 23, "Print"],
Cell[31338, 934, 325, 7, 23, "Print"],
Cell[31666, 943, 325, 7, 23, "Print"],
Cell[31994, 952, 53, 1, 23, "Print"],
Cell[32050, 955, 293, 6, 23, "Print"],
Cell[32346, 963, 300, 6, 23, "Print"],
Cell[32649, 971, 145, 3, 23, "Print"],
Cell[32797, 976, 325, 7, 23, "Print"],
Cell[33125, 985, 135, 3, 23, "Print"],
Cell[33263, 990, 151, 3, 23, "Print"],
Cell[33417, 995, 151, 3, 23, "Print"],
Cell[33571, 1000, 151, 3, 23, "Print"],
Cell[33725, 1005, 151, 3, 23, "Print"],
Cell[33879, 1010, 151, 3, 23, "Print"],
Cell[34033, 1015, 151, 3, 23, "Print"],
Cell[34187, 1020, 151, 3, 23, "Print"],
Cell[34341, 1025, 151, 3, 23, "Print"],
Cell[34495, 1030, 151, 3, 23, "Print"],
Cell[34649, 1035, 151, 3, 23, "Print"],
Cell[34803, 1040, 151, 3, 23, "Print"],
Cell[34957, 1045, 151, 3, 23, "Print"],
Cell[35111, 1050, 151, 3, 23, "Print"],
Cell[35265, 1055, 151, 3, 23, "Print"],
Cell[35419, 1060, 151, 3, 23, "Print"],
Cell[35573, 1065, 151, 3, 23, "Print"],
Cell[35727, 1070, 151, 3, 23, "Print"],
Cell[35881, 1075, 151, 3, 23, "Print"],
Cell[36035, 1080, 151, 3, 23, "Print"],
Cell[36189, 1085, 151, 3, 23, "Print"],
Cell[36343, 1090, 151, 3, 23, "Print"],
Cell[36497, 1095, 161, 3, 23, "Print"],
Cell[36661, 1100, 10494, 162, 2111, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[47192, 1267, 105, 2, 27, "Input"],
Cell[47300, 1271, 22968, 385, 6245, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[70305, 1661, 64, 1, 27, "Input"],
Cell[70372, 1664, 55, 1, 23, "Print"],
Cell[70430, 1667, 113, 3, 38, "Print"],
Cell[70546, 1672, 63, 1, 23, "Print"],
Cell[70612, 1675, 250, 4, 23, "Print"],
Cell[70865, 1681, 163, 3, 23, "Print"],
Cell[71031, 1686, 214, 3, 47, "Output"]
}, Open  ]],
Cell[71260, 1692, 69, 1, 27, "Input"],
Cell[71332, 1695, 311, 4, 43, "Input"],
Cell[71646, 1701, 81, 1, 27, "Input"],
Cell[71730, 1704, 261, 5, 75, "Input"],

Cell[CellGroupData[{
Cell[72016, 1713, 43, 1, 27, "Input"],
Cell[72062, 1716, 143, 3, 23, "Print"],
Cell[72208, 1721, 282, 8, 23, "Print"],
Cell[72493, 1731, 143, 3, 23, "Print"],
Cell[72639, 1736, 174, 3, 33, "Message"]
}, Open  ]],
Cell[72828, 1742, 158, 3, 59, "Input"],

Cell[CellGroupData[{
Cell[73011, 1749, 41, 1, 27, "Input"],
Cell[73055, 1752, 172, 3, 33, "Message"],
Cell[73230, 1757, 79, 1, 23, "Print"],
Cell[73312, 1760, 50, 1, 23, "Print"],
Cell[73365, 1763, 44, 1, 23, "Print"],
Cell[73412, 1766, 50, 1, 23, "Print"],
Cell[73465, 1769, 462, 16, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[73964, 1790, 119, 3, 27, "Input"],
Cell[74086, 1795, 82, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[74205, 1801, 50, 1, 27, "Input"],
Cell[74258, 1804, 264, 4, 23, "Print"],
Cell[74525, 1810, 253, 5, 23, "Print"],
Cell[74781, 1817, 215, 4, 23, "Print"],
Cell[74999, 1823, 796, 17, 106, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[75832, 1845, 43, 1, 27, "Input"],
Cell[75878, 1848, 143, 3, 23, "Print"],
Cell[76024, 1853, 353, 9, 23, "Print"],
Cell[76380, 1864, 143, 3, 23, "Print"],
Cell[76526, 1869, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[76737, 1877, 50, 1, 27, "Input"],
Cell[76790, 1880, 264, 4, 23, "Print"],
Cell[77057, 1886, 257, 5, 23, "Print"],
Cell[77317, 1893, 50, 1, 23, "Print"],
Cell[77370, 1896, 44, 1, 23, "Print"],
Cell[77417, 1899, 50, 1, 23, "Print"],
Cell[77470, 1902, 80, 1, 25, "Print"],
Cell[77553, 1905, 225, 4, 23, "Print"],
Cell[77781, 1911, 1102, 22, 142, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[78920, 1938, 43, 1, 27, "Input"],
Cell[78966, 1941, 143, 3, 23, "Print"],
Cell[79112, 1946, 312, 9, 23, "Print"],
Cell[79427, 1957, 143, 3, 23, "Print"],
Cell[79573, 1962, 174, 3, 33, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[79784, 1970, 41, 1, 27, "Input"],
Cell[79828, 1973, 172, 3, 33, "Message"],
Cell[80003, 1978, 79, 1, 23, "Print"],
Cell[80085, 1981, 50, 1, 23, "Print"],
Cell[80138, 1984, 44, 1, 23, "Print"],
Cell[80185, 1987, 50, 1, 23, "Print"],
Cell[80238, 1990, 482, 17, 25, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[80757, 2012, 91, 1, 27, "Input"],
Cell[80851, 2015, 76, 1, 29, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[80964, 2021, 50, 1, 27, "Input"],
Cell[81017, 2024, 264, 4, 23, "Print"],
Cell[81284, 2030, 253, 5, 23, "Print"],
Cell[81540, 2037, 242, 5, 23, "Print"],
Cell[81785, 2044, 1320, 26, 172, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[83142, 2075, 43, 1, 27, "Input"],
Cell[83188, 2078, 143, 3, 23, "Print"],
Cell[83334, 2083, 283, 8, 23, "Print"],
Cell[83620, 2093, 143, 3, 23, "Print"],
Cell[83766, 2098, 174, 3, 33, "Message"]
}, Open  ]],
Cell[83955, 2104, 264, 4, 91, "Input"],

Cell[CellGroupData[{
Cell[84244, 2112, 62, 1, 27, "Input"],
Cell[84309, 2115, 264, 4, 23, "Print"],
Cell[84576, 2121, 257, 5, 23, "Print"],
Cell[84836, 2128, 50, 1, 23, "Print"],
Cell[84889, 2131, 44, 1, 23, "Print"],
Cell[84936, 2134, 50, 1, 23, "Print"],
Cell[84989, 2137, 65, 1, 25, "Print"],
Cell[85057, 2140, 56, 1, 23, "Print"],
Cell[85116, 2143, 1124, 17, 178, "Print"]
}, Open  ]],

Cell[CellGroupData[{
Cell[86277, 2165, 60, 1, 27, "Input"],
Cell[86340, 2168, 290, 6, 23, "Print"],
Cell[86633, 2176, 226, 4, 23, "Print"],
Cell[86862, 2182, 212, 7, 98, "Print"],
Cell[87077, 2191, 80, 1, 23, "Print"],
Cell[87160, 2194, 482, 12, 23, "Print"],
Cell[87645, 2208, 197, 4, 23, "Print"],
Cell[87845, 2214, 577, 8, 134, "Output"]
}, Open  ]],
Cell[88437, 2225, 128, 2, 59, "Input"],

Cell[CellGroupData[{
Cell[88590, 2231, 126, 2, 27, "Input"],
Cell[88719, 2235, 328, 5, 69, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[89084, 2245, 89, 1, 27, "Input"],
Cell[89176, 2248, 128, 2, 20, "Message"],
Cell[89307, 2252, 128, 2, 20, "Message"],
Cell[89438, 2256, 128, 2, 20, "Message"],
Cell[89569, 2260, 334, 5, 33, "Message"],
Cell[89906, 2267, 84, 1, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[90027, 2273, 83, 1, 27, "Input"],
Cell[90113, 2276, 42, 1, 23, "Print"],
Cell[90158, 2279, 320, 7, 23, "Print"],
Cell[90481, 2288, 320, 7, 23, "Print"],
Cell[90804, 2297, 300, 6, 23, "Print"],
Cell[91107, 2305, 320, 7, 23, "Print"],
Cell[91430, 2314, 320, 7, 23, "Print"],
Cell[91753, 2323, 320, 7, 23, "Print"],
Cell[92076, 2332, 300, 6, 23, "Print"],
Cell[92379, 2340, 135, 3, 23, "Print"],
Cell[92517, 2345, 145, 3, 23, "Print"],
Cell[92665, 2350, 145, 3, 23, "Print"],
Cell[92813, 2355, 145, 3, 23, "Print"],
Cell[92961, 2360, 145, 3, 23, "Print"],
Cell[93109, 2365, 145, 3, 23, "Print"],
Cell[93257, 2370, 145, 3, 23, "Print"],
Cell[93405, 2375, 145, 3, 23, "Print"],
Cell[93553, 2380, 159, 3, 23, "Print"],
Cell[93715, 2385, 2400, 37, 514, "Output"]
}, Open  ]],
Cell[96130, 2425, 123, 3, 27, "Input"],

Cell[CellGroupData[{
Cell[96278, 2432, 64, 1, 27, "Input"],
Cell[96345, 2435, 55, 1, 23, "Print"],
Cell[96403, 2438, 76, 0, 23, "Print"],
Cell[96482, 2440, 63, 1, 23, "Print"],
Cell[96548, 2443, 318, 5, 73, "Output"]
}, Open  ]],
Cell[96881, 2451, 67, 1, 27, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

